Skip to main content
POST
Screen a borrower and open an application

Authorizations

Authorization
string
header
required

Token from POST /v1/oauth/token (client credentials)

Headers

Idempotency-Key
string
required

1 to 255 visible ASCII characters

Required string length: 1 - 255

Body

application/json
partner_account_id
string
required
Required string length: 1 - 128
data
object

A 400 names each invalid field as {"field": "data.transactions[0].amount_cents"}, never its value.

Response

Screened and declined

application_id
string<uuid>
required
partner_account_id
string
required
step
enum<string>
required
Available options:
screening,
prequalified,
additional_income,
selection,
final_checks,
funding
status
enum<string>
required
Available options:
in_progress,
funded,
declined,
expired,
withdrawn,
funding_failed
is_first_loan
boolean
required
expires_at
string<date-time> | null
required
offer
object | null
required
decline
object | null
required
loan
object | null
required